> ## Documentation Index
> Fetch the complete documentation index at: https://docs.timelines.global/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Quotas

> Get all current quotas and utilization stats for the workspace.



## OpenAPI

````yaml get /workspace/quotas
openapi: 3.0.3
info:
  title: Timelines Public API
  description: >
    # Timelines Public API


    _Some API calls may utilize message sending quota or be subject to message
    sending rate limits as described below._


    ### Credit Utilization 
      - Sending a message via API consumes 1 credit from message sending quota.
      - Sending a message with non-empty text and attachment consumes 2 credits from message sending quota.
      - If a message cannot be sent (invalid or not connected to WhatsApp number, WhatsApp server error), message sending quota will be restored (usually within a couple of hours).
    ### Message sending rate
      - Messages will be sent with random delay of about 2 seconds between each two messages (to avoid WhatsApp spam detection mechanisms). Contact support@timelines.global if you want to modify delay for your workspace (available on Business plan only).
      - If you exceed message sending frequency, messages be queued and sent out with delay. Each queued message will consume a message sending credit, so the number of queued messages cannot exceed the available quota.
      
    ### Authorization:
      - Copy API token from [Public API page](https://app.timelines.global/integrations/api/) in your Timelines Global account.
      - Put the token in *Authorization* header of request as follows:
      ```
      Authorization: Bearer 4d2d0239-e28c-4f4a-8a4d-3a3ca40056b8
      ```
            
    ### Message formatting:
      - use "\n" for line breaks
  version: 1.3.0
servers:
  - url: https://app.timelines.global/integrations/api
    description: Production
  - url: https://staging.app.timelines.global/integrations/api
    description: Staging
security:
  - bearerAuth: []
paths:
  /workspace/quotas:
    get:
      summary: All current quotas and utilization stats.
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WorkspaceQuotaInfoResponse'
        '400':
          $ref: '#/components/responses/BadRequestError'
        '401':
          $ref: '#/components/responses/UnauthorizedError'
        '403':
          $ref: '#/components/responses/AccessDenied'
        '404':
          $ref: '#/components/responses/NotFound'
components:
  schemas:
    WorkspaceQuotaInfoResponse:
      type: object
      required:
        - status
        - data
      properties:
        status:
          type: string
          example: ok
          enum:
            - ok
            - error
        data:
          $ref: '#/components/schemas/WorkspaceQuotaInfo'
    WorkspaceQuotaInfo:
      type: object
      required:
        - messaging_quota
        - api_calls_quota
      properties:
        seats:
          $ref: '#/components/schemas/Quota'
        messaging_quota:
          $ref: '#/components/schemas/Quota'
        api_calls_quota:
          $ref: '#/components/schemas/Quota'
        non_recurring_quota:
          $ref: '#/components/schemas/NonRecurringQuota'
    ErrorResponse:
      required:
        - message
        - status
      type: object
      properties:
        message:
          type: string
        status:
          type: string
          example: error
          enum:
            - ok
            - error
    Quota:
      description: Workspace quota details
      type: object
      required:
        - total
        - used
      properties:
        total:
          type: integer
          description: Total number of seats in the workspace
          example: 10
        used:
          type: integer
          description: Number of used seats in the workspace
          example: 7
        period_start:
          type: string
          description: Start date of the quota period
          example: 2025-02-22 00:00:00 +0100
        period_end:
          type: string
          description: End date of the quota period
          example: 2025-02-22 00:00:00 +0100
    NonRecurringQuota:
      description: >-
        Non-recurring quota information for a workspace. Represents an
        additional, non-recurring balance (for example, one-off purchased
        message packs) with the remaining_balance and the timestamp when it was
        last updated.
      type: object
      properties:
        remaining_balance:
          type: integer
          description: Remaining balance of non-recurring quota
          example: 50
        last_updated_at:
          type: string
          description: Timestamp of the last recharge
          example: 2025-02-22 00:00:00 +0100
  responses:
    BadRequestError:
      description: Invalid parameters
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    UnauthorizedError:
      description: Access token is missing or invalid
    AccessDenied:
      description: Access denied
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    NotFound:
      description: Specified entities not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````